package com.mdd.admin.validate.finance;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;

@ApiModel("充值订单搜索参数")
public class FinanceRechargeSearchValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("订单编号")
   private String sn;
   @ApiModelProperty("关键词")
   private String keyword;
   @ApiModelProperty("支付方式")
   private Integer payWay;
   @ApiModelProperty("支付状态")
   private Integer payStatus;
   @ApiModelProperty("开始时间")
   private Integer startTime;
   @ApiModelProperty("结束时间")
   private Integer endTime;

   public String getSn() {
      return this.sn;
   }

   public String getKeyword() {
      return this.keyword;
   }

   public Integer getPayWay() {
      return this.payWay;
   }

   public Integer getPayStatus() {
      return this.payStatus;
   }

   public Integer getStartTime() {
      return this.startTime;
   }

   public Integer getEndTime() {
      return this.endTime;
   }

   public void setSn(String sn) {
      this.sn = sn;
   }

   public void setKeyword(String keyword) {
      this.keyword = keyword;
   }

   public void setPayWay(Integer payWay) {
      this.payWay = payWay;
   }

   public void setPayStatus(Integer payStatus) {
      this.payStatus = payStatus;
   }

   public void setStartTime(Integer startTime) {
      this.startTime = startTime;
   }

   public void setEndTime(Integer endTime) {
      this.endTime = endTime;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof FinanceRechargeSearchValidate)) {
         return false;
      } else {
         FinanceRechargeSearchValidate other = (FinanceRechargeSearchValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$payWay = this.getPayWay();
            Object other$payWay = other.getPayWay();
            if (this$payWay == null) {
               if (other$payWay != null) {
                  return false;
               }
            } else if (!this$payWay.equals(other$payWay)) {
               return false;
            }

            Object this$payStatus = this.getPayStatus();
            Object other$payStatus = other.getPayStatus();
            if (this$payStatus == null) {
               if (other$payStatus != null) {
                  return false;
               }
            } else if (!this$payStatus.equals(other$payStatus)) {
               return false;
            }

            Object this$startTime = this.getStartTime();
            Object other$startTime = other.getStartTime();
            if (this$startTime == null) {
               if (other$startTime != null) {
                  return false;
               }
            } else if (!this$startTime.equals(other$startTime)) {
               return false;
            }

            label62: {
               Object this$endTime = this.getEndTime();
               Object other$endTime = other.getEndTime();
               if (this$endTime == null) {
                  if (other$endTime == null) {
                     break label62;
                  }
               } else if (this$endTime.equals(other$endTime)) {
                  break label62;
               }

               return false;
            }

            label55: {
               Object this$sn = this.getSn();
               Object other$sn = other.getSn();
               if (this$sn == null) {
                  if (other$sn == null) {
                     break label55;
                  }
               } else if (this$sn.equals(other$sn)) {
                  break label55;
               }

               return false;
            }

            Object this$keyword = this.getKeyword();
            Object other$keyword = other.getKeyword();
            if (this$keyword == null) {
               if (other$keyword != null) {
                  return false;
               }
            } else if (!this$keyword.equals(other$keyword)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof FinanceRechargeSearchValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $payWay = this.getPayWay();
      result = result * 59 + ($payWay == null ? 43 : $payWay.hashCode());
      Object $payStatus = this.getPayStatus();
      result = result * 59 + ($payStatus == null ? 43 : $payStatus.hashCode());
      Object $startTime = this.getStartTime();
      result = result * 59 + ($startTime == null ? 43 : $startTime.hashCode());
      Object $endTime = this.getEndTime();
      result = result * 59 + ($endTime == null ? 43 : $endTime.hashCode());
      Object $sn = this.getSn();
      result = result * 59 + ($sn == null ? 43 : $sn.hashCode());
      Object $keyword = this.getKeyword();
      result = result * 59 + ($keyword == null ? 43 : $keyword.hashCode());
      return result;
   }

   public String toString() {
      return "FinanceRechargeSearchValidate(sn=" + this.getSn() + ", keyword=" + this.getKeyword() + ", payWay=" + this.getPayWay() + ", payStatus=" + this.getPayStatus() + ", startTime=" + this.getStartTime() + ", endTime=" + this.getEndTime() + ")";
   }
}
